%define name penguin-command
%define version 1.2
%define release 4mdk
%define summary A clone of the classic Missile Command game

Name: %{name}
Summary: %{summary}
Version: %{version}
Release: %{release}
Source: http://members.linuxstart.com/~karlb/penguin-command/%{name}-%{version}.tar.bz2
Source1: %{name}.16.xpm.bz2
Source2: %{name}.32.xpm.bz2
URL: http://members.linuxstart.com/~karlb/penguin-command.html
Copyright: GPL
Group: Games/Arcade
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: SDL SDL_mixer smpeg
BuildRequires: SDL-devel SDL_mixer-devel smpeg-devel XFree86-devel audiofile-devel esound-devel libpng-devel zlib-devel

%description
This is a clone of the classic "Missile Command" Game, but it has better
graphics and music. The gameplay has only been slightly modified. Penguin
Command is completely licensed under the GPL, excluding the music.

%prep
%setup -q

%build
%configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
perl -pi -e 's|-Wl,-rpath,/usr/lib||g' src/Makefile
make

%install
rm -rf "$RPM_BUILD_ROOT"
%makeinstall bindir=$RPM_BUILD_ROOT%{_gamesbindir} datadir=$RPM_BUILD_ROOT%{_gamesdatadir}

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" icon="%{name}.xpm" \
  needs="x11" section="Amusement/Arcade" title="Penguin Command" \
  longtitle="%{summary}"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc README NEWS COPYING AUTHORS NEWS
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_menudir}/%{name}
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm

%changelog
* Wed Aug 30 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2-4mdk
- remove binary-or-shlib-refines-rpath

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2-3mdk
- automatically added packager tag

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2-2mdk
- automatically added BuildRequires

* Wed Jul 26 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2-1mdk
- first package for Linux-Mandrake

